package com.hh.arome.mvp.model;

import com.common.lib_base.common.http.bean.BaseBean;
import com.common.lib_base.utils.StringUtils;
import com.hh.arome.BuildConfig;
import com.hh.arome.bean.DeviceConfigResultBean;
import com.hh.arome.bean.HeartBeatRequestBean;
import com.hh.arome.bean.LogcatAddRequestBean;
import com.hh.arome.bean.SimpleResultBean;
import com.hh.arome.common.ConfigData;
import com.hh.arome.http.ApiService;
import com.hh.arome.mvp.model.base.BaseModel;

import io.reactivex.Observable;
import okhttp3.RequestBody;

public class LogcatAddModel extends BaseModel {


    public LogcatAddModel(ApiService mApiService) {
        super(mApiService);
    }

    public Observable<BaseBean<SimpleResultBean>> requestLogcatAdd(LogcatAddRequestBean bean) {
        RequestBody requestBody = createRequestBody(bean);


        return mApiService.requestLogcatAdd(requestBody);
    }


}
